Package org.pushingpixels.flamingo.internal.utils

# Class RenderingUtils

java.lang.Object
org.pushingpixels.flamingo.internal.utils.RenderingUtils

public class RenderingUtils extends Object
Utilities to install desktop rendering hints for correctly rasterizing texts.

## Constructor Summary

Constructors
Constructor
Description
`RenderingUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Map`
`installDesktopHints(Graphics2D g2)`
Installs desktop hints on the specified graphics context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenderingUtils

public RenderingUtils()

## Method Details

### installDesktopHints

public static Map installDesktopHints(Graphics2D g2)
Installs desktop hints on the specified graphics context.

Parameters:
  `g2` - Graphics context.
Returns:
  Map of old rendering hints.